Creates a metadata record that is used to track files uploaded to blob storage
| Name | Description | Additional information |
|---|---|---|
| fileRepresentation |
Define this parameter in the request body. |
{
"fileId": "5064cb7c-1cc0-43d0-9e5f-d5f2b12e03a6",
"tenantId": "3ec32b50-d5d9-4582-9f4c-ad4889546d1f",
"name": "sample string 3",
"description": "sample string 4",
"blobStorageUrl": "sample string 5",
"size": 1,
"contentType": "sample string 6",
"isShared": true,
"correlationId": "sample string 8",
"createdBy": "sample string 9",
"createdDateUtc": "2026-08-08T22:25:57.0883584+00:00",
"updatedDateUtc": "2026-08-08T22:25:57.0883584+00:00"
}
<FileRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1"> <CreatedDateUtc>2026-08-08T22:25:57.0883584+00:00</CreatedDateUtc> <UpdatedDateUtc>2026-08-08T22:25:57.0883584+00:00</UpdatedDateUtc> <BlobStorageUrl>sample string 5</BlobStorageUrl> <ContentType>sample string 6</ContentType> <CorrelationId>sample string 8</CorrelationId> <CreatedBy>sample string 9</CreatedBy> <Description>sample string 4</Description> <FileId>5064cb7c-1cc0-43d0-9e5f-d5f2b12e03a6</FileId> <IsShared>true</IsShared> <Name>sample string 3</Name> <Size>1</Size> <TenantId>3ec32b50-d5d9-4582-9f4c-ad4889546d1f</TenantId> </FileRepresentation>
Sample not available.